/**
 *    PineTree CMS *tm
 *
 */
$(document).ready(function () {
        var waitImg;
        waitImg = '<img src="/images/wait.gif" alt="" class="waitimg">';

        // measure height of container-wrapper
        var wrap_height;
        var top_height;
        wrap_height = $("#container").height();
        top_height = $("#head-top").height() + $("#main-menu").height();
        $("#container-sheet").css("min-height", wrap_height - top_height - $("#container-footer").height() - 10 + "px");

        $('iframe').each(function() {
                   var url = $(this).attr("src");
                    var char = "?";
                  if(url.indexOf("?") != -1)
                          var char = "&";

                    $(this).attr("src",url+char+"wmode=transparent");
            }
          );

        if($(".dumavideo").length>0) {
            flowplayer("span.dumavideo", "/templates/js/flowplayer/flowplayer-3.2.15.swf", {
            clip: {
                    autoPlay: false,
                    autoBuffering: true
            }
            });
        }

        if($(".dumaaudio").length>0) {
            flowplayer("span.dumaaudio", "/templates/js/flowplayer/flowplayer-3.2.15.swf", {
                plugins: {
                    controls: {
                        fullscreen: false,
                        height: 30,
                        autoHide: false
                    }
                },
                clip: {
                    autoPlay: false
                }
            });
        }

        $(".search-form input").focus(function () {
            $(".search-form input").val('');
        }).blur(function () {
                if ($(this).val() == "") {
                    $(".search-form input").val('поиск');
                }
            });


        $(".tools .fav a").click(function (e) {
            e.preventDefault();
            var bookmarkUrl = this.href;
            var bookmarkTitle = this.title;

            if (navigator.userAgent.toLowerCase().indexOf('chrome') > -1) {
                        alert("В вашем браузере (Chrome) можно добавить наш сайт в закладки так: нажмите OK и далее Ctrl-D на клавиатуре.");
                }else if (window.sidebar) {
                    window.sidebar.addPanel(bookmarkTitle, bookmarkUrl,"");
                } else if( window.external || document.all) {
                    window.external.AddFavorite( bookmarkUrl, bookmarkTitle);
                } else if(window.opera) { // For Opera Browsers
                    $(".tools .fav a").attr("href",bookmarkUrl);
                    $(".tools .fav a").attr("title",bookmarkTitle);
                    $(".tools .fav a").attr("rel","sidebar");
                } else {
                     alert('Ваш браузер не поддерживает закладки');
                     return false;
                }
        });

        function swapImages() {
            var $active = $('#roll-images .active');
            var $next = ($('#roll-images .active').next().length > 0) ? $('#roll-images .active').next() : $('#roll-images img:first');
            $active.fadeOut(function () {
                $active.removeClass('active');
                $next.fadeIn().addClass('active');
            });
        }

        setInterval(swapImages, 5000);

        $(".show-player").click(function (e) {
            e.preventDefault();

            if ($(this).next(".dumaaudio-small").css("display") == 'none') {
                $(this).next(".dumaaudio-small").css("display", "block");
            } else $(this).next(".dumaaudio-small").css("display", "none");
        });
        $("body").click(function () {
            if ($(".dumaaudio-small").length > 0) {
                $(".dumaaudio-small").css("display", "none");
            }
        });
        $(".show-player").click(function (e) {
            e.stopPropagation();
        });

        $(".b-head-faces li").hover(function () {
            var _img;
            $(".b-head-faces li").removeClass("active");
            _img = $(this).find("a img");
            $(this).closest("div").find(".b-head-fullimg img").attr('src', _img.attr("src"));
            $(".b-head-info a").text(_img.attr("title"));
            $(".b-head-info a").attr("href", $(this).find("a").attr("href"));
            $(".b-head-info span").text(_img.attr("alt"));
            $(this).addClass("active");
        });

        $('.main-menu li').click(function (e) {
            var _ul;
            //e.preventDefault();
            $(".second-menu").hide();
            $(".second-menu ul").hide();
            $(".main-menu a").removeClass("active");
            // if has child UL
            if ($(this).attr("class").length > 0) {
                $(".second-menu").show();
                _ul = $("ul#" + $(this).attr("class"));
                _ul.toggle();
                if (_ul.css("display") != 'none') {
                    $(this).find('a').addClass('active');
                } else {
                    $(this).find('a').removeClass('active');
                }
                return false;
            }
        });

        $('.popup-gallery').each(function (index) {
            $('.items a', this)
                .attr('rel', 'photo-gallery-' + index)
                .colorbox({
                    photo:true,
                    scalePhotos:true,
                    //maxWidth: $(window).width(),
                    maxWidth:function () {
                        return $(window).width() - 20;
                    },
                    maxHeight:function () {
                        return $(window).height() - 20;
                    },
                    rel:'photo-gallery-' + index,
                    slideshowStart:"Начать показ слайдов",
                    slideshowStop:"Остановить показ слайдов",
                    current:"{current} из {total}",
                    previous:"предыдущее",
                    next:"следующее",
                    close:"закрыть"
                });
        });

        $('.colorbox').colorbox({
            photo:true,
            scalePhotos:true});

        $.ajaxSetup({
            beforeSend:function (request) {
                request.setRequestHeader('Accept', 'application/html+ajax');
            },
            // Disable caching of AJAX responses
            cache:false

        })
        $.fn.alignCenter = function () {
            //get margin left
            var marginLeft = ($(window).width() / 2) - 50 + 'px';
            //get margin top
            var marginTop = $(window).height() - 200 + 'px';
            //return updated element
            return $(this).css({'left':marginLeft, 'top':marginTop});
        };

        $.fn.center = function (w, h) {
            //if(w==0) w = 200;
            if (h == 0) h = 300;
            page_size = getPageSize();
            this.css("top", getBodyScrollTop() + (h / 2) + "px");
            this.css("left", Math.round(page_size['windowWidth'] / 2) + "px");
            return this;
        }

        $.fn.blinkEffect = function (opt) {
            var obj = $(this);
            var o = $.extend(true, {
                speed:1000,
                count:3
            }, opt);
            var timer = setInterval(function () {
                o.count--;
                obj.fadeOut(o.speed / 2, function () {
                    obj.fadeIn(o.speed / 2);
                });
                if (o.count == 0) {
                    clearInterval(timer);
                }
            }, o.speed);
        };

        // POPUP VIA AJAX (faster than any plugin)
        // todo: more complex defining of the screen center
        // used: fancy plugin css
        $(".ajax-popup").click(function () {
            shade();
            var top = $(window).scrollTop() + 200;
            $(".popup").css("top", top + 'px');
            var ref = $(this).attr("href");
            var title = $(this).attr("title");
            if (ref != '' && ref != undefined) {
                if (title != '') title = '<div class="popup-title corner-top">' + title + '</div>';
                $(".popup").html('<div class="popup-close"></div>' + title + '<div class="popup-content"></div><div id="fancy_bg"><div class="fancy_bg" id="fancy_bg_n"></div><div class="fancy_bg" id="fancy_bg_ne"></div><div class="fancy_bg" id="fancy_bg_e"></div><div class="fancy_bg" id="fancy_bg_se"></div><div class="fancy_bg" id="fancy_bg_s"></div><div class="fancy_bg" id="fancy_bg_sw"></div><div class="fancy_bg" id="fancy_bg_w"></div><div class="fancy_bg" id="fancy_bg_nw"></div></div>');
                $(".popup-content").load(ref);
                $(".popup").show();
                $(".popup-close").bind("click", function () {
                    unshade()
                });
            }
            return false;
        });

        $(document).on("click", ".layer_msg", function () {
            $(".layer_msg").hide();
        });
        $(document).on("click", ".layer_error", function () {
            $(".layer_error").hide();
        });

        $(document).on("click", ".calendar-prev", function (e) {
            return list_calendar(e, $(this));
        });

        $(document).on("click", ".calendar-next", function (e) {
            return list_calendar(e, $(this));
        });

        function list_calendar(e, obj) {
            var href;
            var params1, params2;

            if (!$(".ajax-calendar").length) {
                return true;
            }
            else {
                params1 = $(".js-calendar-params #param-articles_for_pages").text();
                params2 = $(".js-calendar-params #param-art_dir").text();
                $(".calendar").html(waitImg);
            }

            e.preventDefault();

            href = obj.attr('href');
            href = href.split("/press/").join("");
            $(".ajax-calendar").load('/includes/modules/articles/blocks/calendar2/block.php?' + href + '&articles_for_pages=' + params1 + '&art_dir=' + params2);
            return true;
        }
    }

)
;


$(document).bind('cbox_load cbox_complete', function (event) {
    var shareButtons = '<div id="cboxSocButtons">'
        + '	<a rel="nofollow" target="_blank" href="http://www.livejournal.com/update.bml?event={url}&amp;subject={title}"><img src="/images/soc/24/livejournal_24.png" title="Записать себе в LiveJournal" alt="Записать себе в LiveJournal"></a>'
        + '	<a rel="nofollow" target="_blank" href="http://twitter.com/home?status={title}%20{url}" title="Добавить в Twitter"><img src="/images/soc/24/twitter_24.png" title="Опубликовать в Twitter" alt="Опубликовать в Twitter"></a>'
        + '	<a rel="nofollow" target="_blank" href="http://www.facebook.com/sharer.php?u={url}"><img src="/images/soc/24/facebook_24.png" title="Написать в Facebook" alt="Написать в Facebook"></a>'
        + '	<a rel="nofollow" target="_blank" href="http://vkontakte.ru/share.php?url={url}"><img src="/images/soc/24/vkontakte_24.png" title="Поделиться ВКонтакте" alt="Поделиться ВКонтакте"></a>'
        + '	<a rel="nofollow" target="_blank" href="http://my.ya.ru/posts_add_link.xml"><img src="/images/soc/24/mail_24.png" title="Поделиться ссылкой в Моем Круге" alt="Поделиться ссылкой в Моем Круге"></a>'
        + '	<a rel="nofollow" target="_blank" href="http://friendfeed.com/?title={title}&amp;url={url}"><img src="/images/soc/24/friendfeed_24.png" title="Поделиться ссылкой в FriendFeed" alt="Поделиться ссылкой в FriendFeed"></a>'
        + '</div>';
    var url, title, $a;

    if (event.type == 'cbox_complete') {
        url = jQuery.trim($('#cboxLoadedContent img:first').attr('src')) || 'http://uslada-spb.ru';

        if (!url) return;

        //url = 'http://uslada-spb.ru'+url;

        $a = $('a.cboxElement')

        if (!$a.length) return;

        $a = $('a.cboxElement').filter(function () {
            var href = $(this).attr('href');
            return (href || '').indexOf(url) != -1;
        });

        if ($a.length) {
            title = $a.find('img').attr('title');
        }

        shareButtons = shareButtons
            .replace(/{url}/g, encodeURIComponent(url))
            .replace(/{title}/g, encodeURIComponent(jQuery.trim(title) || ''));
        $(shareButtons)
            .css({
                position:'absolute',
                top:0,
                left:0
            })
            .appendTo('#cboxContent')
            .find('img').css({width:24, height:24});
    } else if (event.type == 'cbox_load') {
        $('#cboxSocButtons').remove();
    }
});


jQuery.fn.resizeImage = function (boxSize) {
    boxSize = boxSize || 100;
    return this.each(function () {
        var max, width, height;
        if (this.width && this.height) {
            max = this.height > this.width ? { dim:'h', val:this.height } : { dim:'w', val:this.width };
            if (max.val <= boxSize) {
                height = max.dim == 'h' ? max.val : this.height;
                width = max.dim == 'w' ? max.val : this.width;
            } else {
                height = max.dim == 'h' ? boxSize : Math.floor(this.height * boxSize / max.val);
                width = max.dim == 'w' ? boxSize : Math.floor(this.width * boxSize / max.val);
            }
            $(this).css({
                height:height,
                width:width
            });
        }
    });
}
function shade() {
    var shade = this.document.getElementById('shade');
    shade.style.height = this.document.getElementById('container').offsetHeight + 'px';
    shade.className = '';
}

function unshade() {
    $(".popup").hide();
    this.document.getElementById('shade').className = 'hidden';
    modal.className = 'hidden';
}

// FOO function
function afterAjax() {
    return true;
}

function tb_parseQuery(query) {
    var Params = {};
    if (!query) {
        return Params;
    }// return empty object
    var Pairs = query.split(/[;&]/);
    for (var i = 0; i < Pairs.length; i++) {
        var KeyVal = Pairs[i].split('=');
        if (!KeyVal || KeyVal.length != 2) {
            continue;
        }
        var key = unescape(KeyVal[0]);
        var val = unescape(KeyVal[1]);
        val = val.replace(/\+/g, ' ');
        Params[key] = val;
    }
    return Params;
}

function detectIE() {
    var agent = navigator.userAgent.toLowerCase();
    var i = agent.indexOf('msie');

    if (i != -1) return parseFloat(agent.slice(i + 5))
    return false;
}

ie = detectIE();

function show_picture(gid, id, f, c, w, h, color, title) {
    var size = "width=" + w + ",height=" + h;
    picture = window.open("/includes/misc/popup_img.php?gid=" + gid + "&id=" + id + '&f=' + f + "&c=" + c + "&col=" + color + "&tit=" + title, "picture", "dependent=yes,status=yes,directories=no,menubar=no,scrollbars=yes,resizable=yes," + size);
}

function PopUp(path, W, H) {
    W += 0;
    H += 0;
    var size = "width=" + W + ",height=" + H;
    window.open("/includes/popup.php?path=" + path, "", "dependent=yes,status=no,scrollbars=no,resizable=yes," + size);
}

function getPageSize() {
    var xScroll, yScroll;

    if (window.innerHeight && window.scrollMaxY) {
        xScroll = document.body.scrollWidth;
        yScroll = window.innerHeight + window.scrollMaxY;
    } else if (document.body.scrollHeight > document.body.offsetHeight) { // all but Explorer Mac
        xScroll = document.body.scrollWidth;
        yScroll = document.body.scrollHeight;
    } else if (document.documentElement && document.documentElement.scrollHeight > document.documentElement.offsetHeight) { // Explorer 6 strict mode
        xScroll = document.documentElement.scrollWidth;
        yScroll = document.documentElement.scrollHeight;
    } else { // Explorer Mac...would also work in Mozilla and Safari
        xScroll = document.body.offsetWidth;
        yScroll = document.body.offsetHeight;
    }

    var windowWidth, windowHeight;
    if (self.innerHeight) { // all except Explorer
        windowWidth = self.innerWidth;
        windowHeight = self.innerHeight;
    } else if (document.documentElement && document.documentElement.clientHeight) { // Explorer 6 Strict Mode
        windowWidth = document.documentElement.clientWidth;
        windowHeight = document.documentElement.clientHeight;
    } else if (document.body) { // other Explorers
        windowWidth = document.body.clientWidth;
        windowHeight = document.body.clientHeight;
    }

    // for small pages with total height less then height of the viewport
    if (yScroll < windowHeight) {
        pageHeight = windowHeight;
    } else {
        pageHeight = yScroll;
    }

    // for small pages with total width less then width of the viewport
    if (xScroll < windowWidth) {
        pageWidth = windowWidth;
    } else {
        pageWidth = xScroll;
    }

    var out;
    out = new Array();
    out['windowWidth'] = windowWidth;
    out['windowHeight'] = yScroll;

    return out;
}

function getBodyScrollTop() {
    return self.pageYOffset || (document.documentElement && document.documentElement.scrollTop) || (document.body && document.body.scrollTop);
}

/* form */
function checkLength(o, n, min, max) {
    if (o.val().length > max || o.val().length < min) {
        o.addClass('state-error');
        o.parent().append('<span class="state-error-text">Поле ' + n + ' должно содержать  от ' + min + ' до  ' + max + ' символов.</span>');
        return false;
    } else {
        return true;
    }
}

function checkRegexp(o, regexp, n) {
    if (!( regexp.test(o.val()) )) {
        o.addClass('state-error');
        o.parent().append('<span class="state-error-text">' + n + '</span>');
        return false;
    } else {
        return true;
    }
}

function checkEqual(a, b, n) {
    if (a.val() != b.val()) {
        a.addClass('state-error');
        a.parent().append('<span class="state-error-text">' + n + '</span>');
        return false;
    } else {
        return true;
    }
    return true;
}